<<< Previous |  | Next >>>

# mail::account::poll

## Name

mail::account::poll -- Wait for the next event

## Synopsis

```mail::account::poll``(std::vector<mail::pollfd> &`pollfds`, int `timeout`);`

## USAGE

`mail::account::poll` is a C++ wrapper around the poll(2) system call, that receives C++ objects as arguments, instead of an array count, and a pointer.

## Return Codes

`mail::account::poll` returns the exit code from poll(2).

## SEE ALSO

mail::account::process(3x), poll(2).

<<< Previous | Home | Next >>>
mail::account::open | Up | mail::account::process